Genivia - saml2__SubjectConfirmationDataType Struct Reference

|  | Home | Documentation | saml2__SubjectConfirmationDataType Struct Reference updated Thu Apr 15 2021 by Robert van Engelen |

- Main Page
- Related Pages
- Classes
- Files

- Class List
- Class Members

Public Attributes | List of all members
saml2__SubjectConfirmationDataType Struct Reference

"urn:oasis:names:tc:SAML:2.0:assertion":SubjectConfirmationDataType is a complexType with complexContent restriction of type xs:anyType. More...

`#include <saml2.h>`

## Public Attributes
xsd__dateTime * | NotBefore
xsd__dateTime * | NotOnOrAfter
| Attribute "NotOnOrAfter" of type xs:dateTime. More...
char * | Recipient
| Attribute "Recipient" of type xs:anyURI. More...
char * | InResponseTo
| Attribute "InResponseTo" of type xs:NCName. More...
char * | Address
| Attribute "Address" of type xs:string. More...
_XML | __mixed
| Store mixed content as an xsd:any (an XML string by default). More...

## Detailed Description

"urn:oasis:names:tc:SAML:2.0:assertion":SubjectConfirmationDataType is a complexType with complexContent restriction of type xs:anyType.

This type is restricted by:

- "urn:oasis:names:tc:SAML:2.0:assertion":KeyInfoConfirmationDataType as struct saml2__KeyInfoConfirmationDataType

Note
  struct saml2__SubjectConfirmationDataType operations:
  - saml2__SubjectConfirmationDataType* soap_new_saml2__SubjectConfirmationDataType(struct soap*, int num) allocate and default initialize one or more values (an array)
  - soap_default_saml2__SubjectConfirmationDataType(struct soap*, saml2__SubjectConfirmationDataType*) default initialize members
  - int soap_read_saml2__SubjectConfirmationDataType(struct soap*, saml2__SubjectConfirmationDataType*) deserialize from a source
  - int soap_write_saml2__SubjectConfirmationDataType(struct soap*, saml2__SubjectConfirmationDataType*) serialize to a sink
  - saml2__SubjectConfirmationDataType* soap_dup_saml2__SubjectConfirmationDataType(struct soap*, saml2__SubjectConfirmationDataType* dst, saml2__SubjectConfirmationDataType <em>src) returns deep copy of saml2__SubjectConfirmationDataType src into dst, copies the (cyclic) graph structure when a context is provided, or (cycle-pruned) tree structure with soap_set_mode(soap, SOAP_XML_TREE) (use soapcpp2 -Ec)
  - soap_del_saml2__SubjectConfirmationDataType(saml2__SubjectConfirmationDataType) deep deletes saml2__SubjectConfirmationDataType data members, use only on dst after soap_dup_saml2__SubjectConfirmationDataType(NULL, saml2__SubjectConfirmationDataType *dst, saml2__SubjectConfirmationDataType *src) (use soapcpp2 -Ed)

## Member Data Documentation

_XML saml2__SubjectConfirmationDataType::__mixed

Store mixed content as an xsd:any (an XML string by default).

<anyAttribute namespace="##other">.

Note
  Schema extensibility is user-definable. Consult the protocol documentation to change or insert declarations. Use wsdl2h option -x to remove this attribute. Use wsdl2h option -d for xsd__anyAttribute DOM (soap_dom_attribute). Mixed content.
  Mixed content is user-definable. Consult the protocol documentation to change or insert declarations. Use wsdl2h option -d for DOM (soap_dom_element) to store mixed content.

char* saml2__SubjectConfirmationDataType::Address

Attribute "Address" of type xs:string.

Optional attribute.

char* saml2__SubjectConfirmationDataType::InResponseTo

Attribute "InResponseTo" of type xs:NCName.

Optional attribute.

xsd__dateTime* saml2__SubjectConfirmationDataType::NotBefore

<any namespace="##any" minoccurs="0" maxoccurs="unbounded">

Note
  Schema extensibility is user-definable. Consult the protocol documentation to change or insert declarations. Use wsdl2h option -x to remove this element. Use wsdl2h option -d for xsd__anyType DOM (soap_dom_element): wsdl2h maps xsd:any to xsd__anyType, use typemap.dat to remap. Attribute "NotBefore" of type xs:dateTime. Optional attribute.

xsd__dateTime* saml2__SubjectConfirmationDataType::NotOnOrAfter

Attribute "NotOnOrAfter" of type xs:dateTime.

Optional attribute.

char* saml2__SubjectConfirmationDataType::Recipient

Attribute "Recipient" of type xs:anyURI.

Optional attribute.

The documentation for this struct was generated from the following file:

- saml2.h